# tls.compression

Controls whether TLS sessions compress payload data before transmission.

This parameter applies to imrelp: RELP Input Module.

Name:

  tls.compression

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  Not documented

## Description

This controls if the TLS stream should be compressed (zipped). While this increases CPU use, the network bandwidth should be reduced. Note that typical text-based log records usually compress rather well.

## Input usage

    input(type="imrelp" port="2514" tls="on" tls.compression="on")

## See also

See also imrelp: RELP Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.